# ![smeserver-koji](https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png)

## Koji Setup Scripts

The purpose of these scripts it to enable setting up a koji environment quickly
with reasonable configurations.

These scripts have been borrowed from Clear Linux and modified to suit the smeserver (Koozali.org) setup.
Thanks to George T Kramer for doing a lot of the prework for these over at ClearLinux.

### Assumptions

* All scripts are run as the root user
* The root user has a password set
* These are run on a bare Rocky 8 minimal install
* Basic configurations (e.g. network, time, etc.) have been applied
* servers are reachable by their FQDNs (DNS or you've added them into the appropriate /etc/hosts files)
* Koji builder can exist on the hub or multiple build servers

### Getting Going

The install script will install all required components on the hub and build servers.

You will need to fill in some information on the way through.

* info for your ssl certs (Country, State, City, Org, Org Unit)
* enter the FQDN for each build server
* accept the ECDSA key fingerprint for each build server
* enter the root password for each build server

If you add debug on the install-koji-farm.sh line it will print each command executed and be very noisy (still noisy without)

On your koji hub server:

    curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/install-koji-farm.sh > install-koji-farm.sh
    chmod o+x install-koji-farm.sh
    ./install-koji-farm.sh

### Adding additional Build servers

To add additional build servers into your farm, just run the following script on your hub as root

    koji-add-builder.sh <FQDN of new build server> [debug]

It should already be there from the install, but if not

    curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/koji-add-builder.sh > ~/bin/koji-add-builder.sh
    chmod o+x ~/bin/koji-add-builder.sh

### Other components

The other scripts in the repository are used by the install-koji-farm.sh and koji-add-builder.sh scripts or I'm still experimenting with them :)
